Skip to main content
POST
/
v1
/
tables
/
{table_id}
/
rows
/
bulk-update
const result = await client.tables.bulkUpdate("tbl_abc123", {
  row_ids: ["row_1", "row_2", "row_3"],
  column_key: "status",
  value: "approved",
});

console.log(result.updated_count); // 3
{
  "updated_count": 3
}

Path parameters

table_id
string
required
The unique identifier of the table.

Request body

row_ids
string[]
required
Array of row IDs to update.
column_key
string
required
The column key to update.
value
any
required
The new value to set for the specified column in all target rows.

Response

updated_count
integer
Number of rows successfully updated.
const result = await client.tables.bulkUpdate("tbl_abc123", {
  row_ids: ["row_1", "row_2", "row_3"],
  column_key: "status",
  value: "approved",
});

console.log(result.updated_count); // 3
{
  "updated_count": 3
}